from Packages import *
from typing import Sequence, Dict, Optional, Union

class KS:
    def __init__(self, x:Optional[Union[np.ndarray|pd.DataFrame]], rset:Optional[Union[float|int]]):
        self.x = x
        self.ratio = rset
        self._train, self._test = ks.train_test_split(self.x, train_size = self.ratio/100)
    
    @property
    def calset(self):
        clu = self._train.index.tolist()
        
        return self.x, clu
    
class RDM:
    def __init__(self, x:Optional[Union[np.ndarray|pd.DataFrame]], rset:Optional[Union[float|int]]):
        self.x = x
        self.ratio = rset
        self._train, self._test = train_test_split(self.x, train_size = self.ratio/100)
    
    @property
    def calset(self):
        clu = self._train.index.tolist()
        
        return self.x, clu