"""Here are all the classes to perform your analysis
"""
from .PCA_ import *
from .KMEANS_ import Sk_Kmeans
from .UMAP_ import Umap
from .DATA_HANDLING import * 
from .PLSR_ import PinardPlsr
from .LWPLSR_ import LWPLSR
from .Evaluation_Metrics import metrics
#from .VarSel import TpeIpls
from .Miscellaneous import resid_plot, reg_plot, desc_stats, hash_data
from .DxReader import DxRead, read_dx
from .HDBSCAN_Clustering import Hdbscan
from .SK_PLSR_ import PlsR
from .PLSR_Preprocess import PlsProcess
from .NMF_ import Nmf
from .Ap import AP
from .RegModels import Plsr, TpeIpls
from .KennardStone import KS, RDM
